<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="320dp"
    android:layout_height="230dp"
    android:background="@drawable/twitter_dlg">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="66dp"
        android:orientation="horizontal" >

        <Button
            android:id="@+id/button_cancel"
            android:layout_width="100dp"
            android:layout_height="match_parent"
            android:text="Cancel"
            android:gravity="start|center_vertical"
            android:textColor="#3333cc"
            android:textSize="18sp"
            android:textAppearance="?android:attr/textAppearanceLarge"
            android:paddingStart="16dp"
            android:background="@drawable/tweeter_button"
            style="@style/Widget.AppCompat.Button.Borderless.Colored"/>

        <TextView
            android:id="@+id/txt_header"
            android:layout_width="120dp"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:paddingTop="16dp"
            android:text="Twitter"
            android:textSize="22sp"
            android:textStyle="bold"
            android:textColor="@android:color/black"
            android:textAppearance="?android:attr/textAppearanceLarge" />

        <Button
            android:id="@+id/button_post"
            android:layout_width="100dp"
            android:layout_height="match_parent"
            android:text="Post"
            android:gravity="end|center_vertical"
            android:paddingEnd="16dp"
            android:textColor="#3333cc"
            android:textSize="18sp"
            android:textAppearance="?android:attr/textAppearanceLarge"
            android:background="@drawable/tweeter_button2"
            style="@style/Widget.AppCompat.Button.Borderless.Colored"/>
    </LinearLayout>
    <View
        android:layout_marginTop="0dp"
        android:layout_width="match_parent"
        android:layout_height="1dip"
        android:background="#666699">
    </View>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:paddingTop="4dp"
        android:orientation="horizontal">

        <EditText
            android:id="@+id/message"
            android:layout_width="220dp"
            android:gravity="top"
            android:paddingStart="16dp"
            android:text="PACK WITH ME - ready-to-go travel checklists"
            android:layout_height="match_parent"
            android:maxLength="140"
            android:background="@null"/>

        <ImageView
            android:id="@+id/image_to_post"
            android:layout_width="84dp"
            android:layout_height="84dp"
            android:contentDescription="Sharing image."/>

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="16dp"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/chars_left"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="74"
            android:paddingStart="16dp"/>

    </LinearLayout>
</LinearLayout>